Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Summary(de): GNUs bc (eine Zahlenverarbeitungssprache) und dc (ein Rechner).
Name: bc
Version: 1.05a
Release: 8mdk
Copyright: GPL
Group: Sciences/Mathematics
Source: ftp://ftp.gnu.org/pug/gnu/bc-%{version}.tar.bz2
Prereq: /sbin/install-info grep
Buildroot: /var/tmp/%{name}-root

%description
The bc package includes bc and dc.  Bc is an arbitrary precision numeric
processing arithmetic language.  Dc is an interactive arbitrary precision
stack based calculator, which can be used as a text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%description -l de
Das bc-Paket enthlt bc und dc. Bc ist eine Zahlenverarbeitungssprache mit
beliebiger Genauigkeit. Dc ist ein interaktiver, Stapelbasierter Rechner mit
beliebiger Genauigkeit, der im Textmodus benutzt werden kann.

Installieren Sie bc, wenn Sie seine Zahlenverarbeitungsfhigkeiten brauchen,
oder wenn Sie einen Textmodus-Rechner haben wollen.

%prep
%setup -q -n bc-1.05

%configure --with-readline

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-readline
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%post
# previous versions of bc put an improper entry into /usr/info/dir -- remove
# it
if grep 'dc: (bc)' /usr/info/dir > /dev/null; then
    grep -v 'The GNU RPN calculator' < /usr/info/dir > /usr/info/dir.$$
    mv -f /usr/info/dir.$$ /usr/info/dir
fi

/sbin/install-info /usr/info/dc.info.bz2 /usr/info/dir --entry="* dc: (dc).                      The GNU RPN calculator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete /usr/info/dc.info.bz2 /usr/info/dir --entry="* dc: (dc).                      The GNU RPN calculator."
fi

%files
%defattr(-,root,root)
/usr/bin/dc
/usr/bin/bc
/usr/man/man1/bc.1*
/usr/man/man1/dc.1*
/usr/info/dc.info*

%changelog

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 1.05a-8mdk
- Build release.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Compile with readline/history support

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix download URLs

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
